> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# All Activity



## OpenAPI

````yaml /openapi.json get /api/v1/teams/activity/all
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/activity/all:
    get:
      tags:
        - Teams
      summary: All Activity
      operationId: all_activity_api_v1_teams_activity_all_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamActivityResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TeamActivityResponse:
      properties:
        activity:
          items:
            $ref: '#/components/schemas/TeamAuditLogResponse'
          type: array
          title: Activity
        total:
          type: integer
          title: Total
      type: object
      required:
        - activity
        - total
      title: TeamActivityResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamAuditLogResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        action_type:
          type: string
          title: Action Type
        description:
          type: string
          title: Description
        details:
          additionalProperties: true
          type: object
          title: Details
        source:
          type: string
          title: Source
        severity:
          type: string
          title: Severity
        member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Member Id
        team_task_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Task Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - action_type
        - description
        - details
        - source
        - severity
        - member_id
        - team_task_id
        - created_at
      title: TeamAuditLogResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````